// Her må du putte inn dine egne filnavn

// data2901-Finland.dta
use "/X/data2901-Finland.dta"

// data2901-Norway.dta
append using "/X/data2901-Norway.dta"

// data2901-United Kingdom.dta
append using "/X/data2901-United Kingdom.dta"

// data2901-USA.dta
append using "/X/data2901-USA.dta"

// bachelor.fagforeninger.dta
joinby cntryid using "/X/bachelor.fagforeninger.dta"



// Ser bort fra dataene til personer under 25 år, de som ikke jobber fulltid, 
// de som ikke har oppgitt timelønn og de som jobber "non-profit".
 
drop if age < 25

drop if full_time == 0

drop if earnhrppp == .

drop if d_q03 == 3
 

 
// Dummyvariable
 
generate fin = 0
replace fin = 1 if cntryid == 246

generate nor = 0
replace nor = 1 if cntryid == 578

generate gbr = 0
replace gbr = 1 if cntryid == 826

generate usa = 0
replace usa = 1 if cntryid == 840



// Dummyvariable. Disse inkluderes for å kunne presentere deskriptiv statistikk

generate fin2 = .
replace fin2 = 1 if cntryid == 246

generate nor2 = .
replace nor2 = 1 if cntryid == 578

generate gbr2 = .
replace gbr2 = 1 if cntryid == 826

generate usa2 = .
replace usa2 = 1 if cntryid == 840



// Timelønn

gen earnhrppp_fin = earnhrppp*fin

gen earnhrppp_nor = earnhrppp*nor

gen earnhrppp_gbr = earnhrppp*gbr

gen earnhrppp_usa = earnhrppp*usa



gen earnhrppp_fin2 = earnhrppp*fin2

gen earnhrppp_nor2 = earnhrppp*nor2

gen earnhrppp_gbr2 = earnhrppp*gbr2

gen earnhrppp_usa2 = earnhrppp*usa2



// Utdanning

gen yrsqual_fin = yrsqual*fin

gen yrsqual_nor = yrsqual*nor

gen yrsqual_gbr = yrsqual*gbr

gen yrsqual_usa = yrsqual*usa



gen yrsqual_fin2 = yrsqual*fin2

gen yrsqual_nor2 = yrsqual*nor2

gen yrsqual_gbr2 = yrsqual*gbr2

gen yrsqual_usa2 = yrsqual*usa2



// Erfaring

gen c_q09_c_fin = c_q09_c*fin

gen c_q09_c_nor = c_q09_c*nor

gen c_q09_c_gbr = c_q09_c*gbr

gen c_q09_c_usa = c_q09_c*usa



gen c_q09_c_fin2 = c_q09_c*fin2

gen c_q09_c_nor2 = c_q09_c*nor2

gen c_q09_c_gbr2 = c_q09_c*gbr2

gen c_q09_c_usa2 = c_q09_c*usa2




// Ferdigheter (standarisert)

gen litscore1_fin = litscore1 *fin

gen litscore1_nor = litscore1 *nor

gen litscore1_gbr = litscore1 *gbr

gen litscore1_usa = litscore1 *usa


gen numscore1_fin = numscore1 *fin

gen numscore1_nor = numscore1 *nor

gen numscore1_gbr = numscore1 *gbr

gen numscore1_usa = numscore1 *usa


gen pslscore1_fin = pslscore1 *fin

gen pslscore1_nor = pslscore1 *nor

gen pslscore1_gbr = pslscore1 *gbr

gen pslscore1_usa = pslscore1 *usa




gen litscore1_fin2 = litscore1 *fin2

gen litscore1_nor2 = litscore1 *nor2

gen litscore1_gbr2 = litscore1 *gbr2

gen litscore1_usa2 = litscore1 *usa2


gen numscore1_fin2 = numscore1 *fin2

gen numscore1_nor2 = numscore1 *nor2

gen numscore1_gbr2 = numscore1 *gbr2

gen numscore1_usa2 = numscore1 *usa2


gen pslscore1_fin2 = pslscore1 *fin2

gen pslscore1_nor2 = pslscore1 *nor2

gen pslscore1_gbr2 = pslscore1 *gbr2

gen pslscore1_usa2 = pslscore1 *usa2






// Sektor

gen d_q03_fin = d_q03 *fin

gen d_q03_nor = d_q03 *nor

gen d_q03_gbr = d_q03 *gbr

gen d_q03_usa = d_q03 *usa



gen d_q03_fin2 = d_q03 *fin2

gen d_q03_nor2 = d_q03 *nor2

gen d_q03_gbr2 = d_q03 *gbr2

gen d_q03_usa2 = d_q03 *usa2


// Sektor 0 = public, 1 = private   - sektor blir nå en dummyvariabel

generate sektor = 1
replace sektor = 0 if d_q03 == 2




// Female

gen female_fin = female * fin

gen female_nor = female * nor

gen female_gbr = female * gbr

gen female_usa = female * usa


gen female_fin2 = female * fin2

gen female_nor2 = female * nor2

gen female_gbr2 = female * gbr2

gen female_usa2 = female * usa2





// Deskriptiv statistikk
 
sum earnhrppp earnhrppp_fin2 earnhrppp_nor2 earnhrppp_gbr2 earnhrppp_usa2

sum yrsqual yrsqual_fin2 yrsqual_nor2 yrsqual_gbr2 yrsqual_usa2

sum c_q09_c c_q09_c_fin2 c_q09_c_nor2 c_q09_c_gbr2 c_q09_c_usa2

sum litscore1 litscore1_fin2 litscore1_nor2 litscore1_gbr2 litscore1_usa2

sum numscore1 numscore1_fin2 numscore1_nor2 numscore1_gbr2 numscore1_usa2

sum pslscore1 pslscore1_fin2 pslscore1_nor2 pslscore1_gbr2 pslscore1_usa2


sum d_q03 d_q03_fin2 d_q03_nor2 d_q03_gbr2 d_q03_usa2

sum female female_fin2 female_nor2 female_gbr2 female_usa2




//histogram earnhrppp_fin2, percent

//histogram earnhrppp_nor2, percent

//histogram earnhrppp_gbr2 if earnhrppp_gbr2<=65, percent

//histogram earnhrppp_usa2, percent






rename bargaining_coverage_OECD_ barg



// GENERERER INTERAKSJONSLEDD OG IKKE-LINEÆRE VARIABLE


// timelønn

gen sq_earnhrppp = earnhrppp * earnhrppp

gen ln_earnhrppp = ln(earnhrppp)

gen inv_earnhrppp = 1/(earnhrppp)



// Utdanningsnivå

gen sq_yrsqual = yrsqual * yrsqual

gen ln_yrsqual = ln(yrsqual)

gen inv_yrsqual = 1/(yrsqual)


gen b_yrsqual = barg * yrsqual

gen b_sq_yrsqual = barg * sq_yrsqual

gen b_ln_yrsqual = barg * ln_yrsqual

gen b_inv_yrsqual = barg * inv_yrsqual



// Erfaring

gen sq_c_q09_c = c_q09_c * c_q09_c

gen ln_c_q09_c = ln(c_q09_c)

gen inv_c_q09_c = 1/c_q09_c


gen b_c_q09_c = barg * c_q09_c

gen b_sq_c_q09_c = barg * sq_c_q09_c

gen b_ln_c_q09_c = barg * ln_c_q09_c

gen b_inv_c_q09_c = barg * inv_c_q09_c



// Ferdigheter

gen b_litscore1 = barg * litscore1

gen sq_litscore1 = litscore1 * litscore1

gen b_sq_litscore1 = barg * sq_litscore1


gen b_numscore1 = barg * numscore1

gen sq_numscore1 = numscore1 * numscore1

gen b_sq_numscore1 = barg * sq_numscore1


gen b_pslscore1 = barg * pslscore1

gen sq_pslscore1 = pslscore1 * pslscore1

gen b_sq_pslscore1 = barg * sq_pslscore1




// Vet at d_q04 = 1 alltid (pga vi har sett bort fra en del data), så dropper
// denne variableben
//gen b_d_q04 = barg * d_q04

gen b_sektor = barg * sektor

gen b_female = barg * female

gen b_D_Q06a = barg * D_Q06a

gen b_D_Q06b = barg * D_Q06b

gen b_i_q08 = barg * i_q08

gen b_j_q02c = barg * j_q02c

gen b_pared = barg * pared

gen b_isco1c = barg * isco1c

gen b_isic1c =  barg * isic1c




//// ELIMINERER ETT OG ETT LEDD


reg ln_earnhrppp barg yrsqual b_yrsqual sq_yrsqual b_sq_yrsqual c_q09_c ///
 b_c_q09_c sq_c_q09_c b_sq_c_q09_c litscore1 b_litscore1 sq_litscore1 ///
 b_sq_litscore1 numscore1 b_numscore1 sq_numscore1 b_sq_numscore1 pslscore1 ///
 b_pslscore1 sq_pslscore1 b_sq_pslscore1    ///
 female b_female sektor b_sektor D_Q06a b_D_Q06a D_Q06b b_D_Q06b i_q08 ///
 b_i_q08 j_q02c b_j_q02c pared b_pared isco1c b_isco1c isic1c b_isic1c     
 // R-squared       =    0.4444


// F-tester

test (barg = 0) 


test (b_sq_yrsqual = 0) 

test (b_sq_c_q09_c = 0) 

test (b_sq_litscore1 = 0) // 0.7482

test (b_sq_numscore1 = 0) 

test (b_sq_pslscore1 = 0) 


test (sq_yrsqual = 0)

test (sq_c_q09_c = 0) 

test (sq_litscore1 = 0) 

test (sq_numscore1 = 0) 

test (sq_pslscore1 = 0)  


test (b_yrsqual = 0) 

test (b_c_q09_c = 0) 

test (b_litscore1 = 0)

test (b_numscore1 = 0) 

test (b_pslscore1 = 0) 


test (yrsqual = 0) 

test (c_q09_c = 0)

test (litscore1 = 0) 

test (numscore1 = 0) 

test (pslscore1 = 0) 




reg ln_earnhrppp barg yrsqual b_yrsqual sq_yrsqual b_sq_yrsqual c_q09_c ///
 b_c_q09_c sq_c_q09_c b_sq_c_q09_c litscore1 b_litscore1 sq_litscore1 ///
 numscore1 b_numscore1 sq_numscore1 b_sq_numscore1 pslscore1 b_pslscore1 ///
 sq_pslscore1 b_sq_pslscore1    ///
 female b_female sektor b_sektor D_Q06a b_D_Q06a D_Q06b b_D_Q06b i_q08 ///
 b_i_q08 j_q02c b_j_q02c pared b_pared isco1c b_isco1c isic1c b_isic1c     


// F-tester

test (barg = 0) 


test (b_sq_yrsqual = 0) 

test (b_sq_c_q09_c = 0) 

test (b_sq_numscore1 = 0) 

test (b_sq_pslscore1 = 0) 


test (sq_yrsqual = 0)

test (sq_c_q09_c = 0) 

test (sq_litscore1 = 0) // 0.8006

test (sq_numscore1 = 0) 

test (sq_pslscore1 = 0)  


test (b_yrsqual = 0) 

test (b_c_q09_c = 0) 

test (b_litscore1 = 0)

test (b_numscore1 = 0) 

test (b_pslscore1 = 0) 


test (yrsqual = 0) 

test (c_q09_c = 0)

test (litscore1 = 0) 

test (numscore1 = 0) 

test (pslscore1 = 0) 
 
 
 
 
reg ln_earnhrppp barg yrsqual b_yrsqual sq_yrsqual b_sq_yrsqual c_q09_c ///
 b_c_q09_c sq_c_q09_c b_sq_c_q09_c litscore1 b_litscore1 numscore1 ///
 b_numscore1 sq_numscore1 b_sq_numscore1 pslscore1 b_pslscore1 sq_pslscore1 ///
 b_sq_pslscore1     ///
 female b_female sektor b_sektor D_Q06a b_D_Q06a D_Q06b b_D_Q06b i_q08 ///
 b_i_q08 j_q02c b_j_q02c pared b_pared isco1c b_isco1c isic1c b_isic1c     


// F-tester

test (barg = 0) 


test (b_sq_yrsqual = 0) 

test (b_sq_c_q09_c = 0) 

test (b_sq_numscore1 = 0) // 0.7781

test (b_sq_pslscore1 = 0) 


test (sq_yrsqual = 0)

test (sq_c_q09_c = 0) 

test (sq_numscore1 = 0) 

test (sq_pslscore1 = 0)  


test (b_yrsqual = 0) 

test (b_c_q09_c = 0) 

test (b_litscore1 = 0)

test (b_numscore1 = 0) 

test (b_pslscore1 = 0) 


test (yrsqual = 0) 

test (c_q09_c = 0)

test (litscore1 = 0) 

test (numscore1 = 0) 

test (pslscore1 = 0) 




reg ln_earnhrppp barg yrsqual b_yrsqual sq_yrsqual b_sq_yrsqual c_q09_c ///
 b_c_q09_c sq_c_q09_c b_sq_c_q09_c litscore1 b_litscore1 numscore1 ///
 b_numscore1 sq_numscore1 pslscore1 b_pslscore1 sq_pslscore1 b_sq_pslscore1 ///
 female b_female sektor b_sektor D_Q06a b_D_Q06a D_Q06b b_D_Q06b i_q08 ///
 b_i_q08 j_q02c b_j_q02c pared b_pared isco1c b_isco1c isic1c b_isic1c     


// F-tester

test (barg = 0) 


test (b_sq_yrsqual = 0) 

test (b_sq_c_q09_c = 0) 

test (b_sq_pslscore1 = 0) 


test (sq_yrsqual = 0)

test (sq_c_q09_c = 0) 

test (sq_numscore1 = 0) 

test (sq_pslscore1 = 0)  


test (b_yrsqual = 0) 

test (b_c_q09_c = 0) // 0.6145

test (b_litscore1 = 0)

test (b_numscore1 = 0) 

test (b_pslscore1 = 0) 


test (yrsqual = 0) 

test (c_q09_c = 0)

test (litscore1 = 0) 

test (numscore1 = 0) 

test (pslscore1 = 0) 




reg ln_earnhrppp barg yrsqual b_yrsqual sq_yrsqual b_sq_yrsqual c_q09_c ///
 sq_c_q09_c b_sq_c_q09_c litscore1 b_litscore1 numscore1 b_numscore1 ///
 sq_numscore1 pslscore1 b_pslscore1 sq_pslscore1 b_sq_pslscore1     ///
 female b_female sektor b_sektor D_Q06a b_D_Q06a D_Q06b b_D_Q06b i_q08 ///
 b_i_q08 j_q02c b_j_q02c pared b_pared isco1c b_isco1c isic1c b_isic1c     


// F-tester

test (barg = 0) 


test (b_sq_yrsqual = 0) 

test (b_sq_c_q09_c = 0) 

test (b_sq_pslscore1 = 0) 


test (sq_yrsqual = 0)

test (sq_c_q09_c = 0) 

test (sq_numscore1 = 0) 

test (sq_pslscore1 = 0)  


test (b_yrsqual = 0) 

test (b_litscore1 = 0)

test (b_numscore1 = 0) 

test (b_pslscore1 = 0) 


test (yrsqual = 0) // 0.5046

test (c_q09_c = 0)

test (litscore1 = 0) 

test (numscore1 = 0) 

test (pslscore1 = 0) 




reg ln_earnhrppp barg b_yrsqual sq_yrsqual b_sq_yrsqual c_q09_c sq_c_q09_c ///
 b_sq_c_q09_c litscore1 b_litscore1 numscore1 b_numscore1 sq_numscore1 ///
 pslscore1 b_pslscore1 sq_pslscore1 b_sq_pslscore1     ///
 female b_female sektor b_sektor D_Q06a b_D_Q06a D_Q06b b_D_Q06b i_q08 ///
 b_i_q08 j_q02c b_j_q02c pared b_pared isco1c b_isco1c isic1c b_isic1c     


// F-tester

test (barg = 0) 


test (b_sq_yrsqual = 0) // 0.5101

test (b_sq_c_q09_c = 0) 

test (b_sq_pslscore1 = 0) 


test (sq_yrsqual = 0)

test (sq_c_q09_c = 0) 

test (sq_numscore1 = 0) 

test (sq_pslscore1 = 0)  


test (b_yrsqual = 0) 

test (b_litscore1 = 0)

test (b_numscore1 = 0) 

test (b_pslscore1 = 0) 


test (c_q09_c = 0)

test (litscore1 = 0) 

test (numscore1 = 0) 

test (pslscore1 = 0) 




reg ln_earnhrppp barg b_yrsqual sq_yrsqual c_q09_c sq_c_q09_c b_sq_c_q09_c ///
 litscore1 b_litscore1 numscore1 b_numscore1 sq_numscore1 pslscore1 ///
 b_pslscore1 sq_pslscore1 b_sq_pslscore1    ///
 female b_female sektor b_sektor D_Q06a b_D_Q06a D_Q06b b_D_Q06b i_q08 ///
 b_i_q08 j_q02c b_j_q02c pared b_pared isco1c b_isco1c isic1c b_isic1c     


// F-tester

test (barg = 0) 


test (b_sq_c_q09_c = 0) 

test (b_sq_pslscore1 = 0) 


test (sq_yrsqual = 0)

test (sq_c_q09_c = 0) 

test (sq_numscore1 = 0) 

test (sq_pslscore1 = 0)  


test (b_yrsqual = 0) 

test (b_litscore1 = 0) // 0.3655

test (b_numscore1 = 0) 

test (b_pslscore1 = 0) 


test (c_q09_c = 0)

test (litscore1 = 0) 

test (numscore1 = 0) 

test (pslscore1 = 0) 




reg ln_earnhrppp barg b_yrsqual sq_yrsqual c_q09_c sq_c_q09_c b_sq_c_q09_c ///
 litscore1 numscore1 b_numscore1 sq_numscore1 pslscore1 b_pslscore1 ///
 sq_pslscore1 b_sq_pslscore1    ///
 female b_female sektor b_sektor D_Q06a b_D_Q06a D_Q06b b_D_Q06b i_q08 ///
 b_i_q08 j_q02c b_j_q02c pared b_pared isco1c b_isco1c isic1c b_isic1c     


// F-tester

test (barg = 0)  // 0.3319


test (b_sq_c_q09_c = 0) 

test (b_sq_pslscore1 = 0) 


test (sq_yrsqual = 0)

test (sq_c_q09_c = 0) 

test (sq_numscore1 = 0) 

test (sq_pslscore1 = 0)  


test (b_yrsqual = 0) 

test (b_numscore1 = 0) 

test (b_pslscore1 = 0) 


test (c_q09_c = 0)

test (litscore1 = 0) 

test (numscore1 = 0) 

test (pslscore1 = 0) 




reg ln_earnhrppp b_yrsqual sq_yrsqual c_q09_c sq_c_q09_c b_sq_c_q09_c ///
 litscore1 numscore1 b_numscore1 sq_numscore1 pslscore1 b_pslscore1 ///
 sq_pslscore1 b_sq_pslscore1     ///
 female b_female sektor b_sektor D_Q06a b_D_Q06a D_Q06b b_D_Q06b i_q08 ///
 b_i_q08 j_q02c b_j_q02c pared b_pared isco1c b_isco1c isic1c b_isic1c     


// F-tester

test (b_sq_c_q09_c = 0) 

test (b_sq_pslscore1 = 0) 


test (sq_yrsqual = 0)

test (sq_c_q09_c = 0) 

test (sq_numscore1 = 0) 

test (sq_pslscore1 = 0)  


test (b_yrsqual = 0) // 0.3147

test (b_numscore1 = 0) 

test (b_pslscore1 = 0) 


test (c_q09_c = 0)

test (litscore1 = 0) 

test (numscore1 = 0) 

test (pslscore1 = 0) 




reg ln_earnhrppp sq_yrsqual c_q09_c sq_c_q09_c b_sq_c_q09_c litscore1 ///
 numscore1 b_numscore1 sq_numscore1 pslscore1 b_pslscore1 sq_pslscore1 ///
 b_sq_pslscore1     ///
 female b_female sektor b_sektor D_Q06a b_D_Q06a D_Q06b b_D_Q06b i_q08 ///
 b_i_q08 j_q02c b_j_q02c pared b_pared isco1c b_isco1c isic1c b_isic1c     


// F-tester

test (b_sq_c_q09_c = 0) 

test (b_sq_pslscore1 = 0) 


test (sq_yrsqual = 0)

test (sq_c_q09_c = 0) 

test (sq_numscore1 = 0)  // 0.1542

test (sq_pslscore1 = 0)  


test (b_numscore1 = 0) 

test (b_pslscore1 = 0) 


test (c_q09_c = 0)

test (litscore1 = 0) 

test (numscore1 = 0) 

test (pslscore1 = 0) 




reg ln_earnhrppp sq_yrsqual c_q09_c sq_c_q09_c b_sq_c_q09_c litscore1 ///
 numscore1 b_numscore1 pslscore1 b_pslscore1 sq_pslscore1 b_sq_pslscore1   ///
 female b_female sektor b_sektor D_Q06a b_D_Q06a D_Q06b b_D_Q06b i_q08 ///
 b_i_q08 j_q02c b_j_q02c pared b_pared isco1c b_isco1c isic1c b_isic1c     


// F-tester

test (b_sq_c_q09_c = 0)  // 0.1033

test (b_sq_pslscore1 = 0) 


test (sq_yrsqual = 0)

test (sq_c_q09_c = 0) 

test (sq_pslscore1 = 0)  


test (b_numscore1 = 0) 

test (b_pslscore1 = 0) 


test (c_q09_c = 0)

test (litscore1 = 0) 

test (numscore1 = 0) 

test (pslscore1 = 0) 




reg ln_earnhrppp sq_yrsqual c_q09_c sq_c_q09_c litscore1 numscore1 ///
 b_numscore1 pslscore1 b_pslscore1 sq_pslscore1 b_sq_pslscore1    ///
 female b_female sektor b_sektor D_Q06a b_D_Q06a D_Q06b b_D_Q06b i_q08 ///
 b_i_q08 j_q02c b_j_q02c pared b_pared isco1c b_isco1c isic1c b_isic1c     


// F-tester

test (b_sq_pslscore1 = 0) 


test (sq_yrsqual = 0)

test (sq_c_q09_c = 0) 

test (sq_pslscore1 = 0)  


test (b_numscore1 = 0) 

test (b_pslscore1 = 0) 


test (c_q09_c = 0)

test (litscore1 = 0) 

test (numscore1 = 0) 

test (pslscore1 = 0)  // 0.1425




reg ln_earnhrppp sq_yrsqual c_q09_c sq_c_q09_c litscore1 numscore1 ///
 b_numscore1 b_pslscore1 sq_pslscore1 b_sq_pslscore1    /// 
 female b_female sektor b_sektor D_Q06a b_D_Q06a D_Q06b b_D_Q06b i_q08 ///
 b_i_q08 j_q02c b_j_q02c pared b_pared isco1c b_isco1c isic1c b_isic1c     
 // R-squared       =    0.4433


// F-tester

test (b_sq_pslscore1 = 0) 


test (sq_yrsqual = 0)

test (sq_c_q09_c = 0) 

test (sq_pslscore1 = 0)  


test (b_numscore1 = 0) 

test (b_pslscore1 = 0) 


test (c_q09_c = 0)

test (litscore1 = 0) 

test (numscore1 = 0) 


